Tryton - Issues

 

Issue5554

Title Toggle menu for all screen sizes
Priority feature Status resolved
Superseder Nosy List Prosaude, ced, pokoli, resteve, reviewbot, roundup-bot
Type behavior Components sao
Assigned To ced Keywords review
Reviews 20191002,44921002
View: 20191002, 44921002

Created on 2016-05-18.17:30:36 by resteve, last changed by roundup-bot.

Files
File name Uploaded Type Edit Remove
menu.png pokoli, 2018-04-25.10:46:14 image/png
unnamed Prosaude, 2016-05-19.14:40:58 text/plain
Messages
New changeset 1ebb23690892 by C├ędric Krier in branch 'default':
Increase the space available on main navbar for tablist
https://hg.tryton.org/sao/rev/1ebb23690892
review44921002 updated at https://codereview.tryton.org/44921002/#ps100001
review44921002 updated at https://codereview.tryton.org/44921002/#ps80001
review44921002 updated at https://codereview.tryton.org/44921002/#ps60001
review44921002 updated at https://codereview.tryton.org/44921002/#ps40001
msg40398 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-04-25.14:00:52
Indeed this issue collapse with issue7325, so I merged the reviews into review44921002
review49291002 updated at https://codereview.tryton.org/49291002/#ps20001
msg40392 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-04-25.11:36:11
I reduced the width of the expander. But I do not think we should reduce the padding left/right the menu because it makes things too much condensed especially when the menu is full screen.
msg40388 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-04-25.10:46:14
I added a screenshot marking the icons in red and the text in orange. 

It will be great if we can reduce the red size of every item, to make more space for the text (orange):
msg40387 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-04-25.10:40:07
On 2018-04-25 10:17, Sergi Almacellas Abellana wrote:
> On the other hand I see that there is a lot of space that is used for icons and there is a lot of spaces between them which causes the menu text to be so small. I'm wonder if we can do something to reduce the spaces between icons and so we gain some spaces usefull for text.

I do not see what you are talking about.
msg40385 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-04-25.10:17:55
I've tested the review and I agree that the new size on large screens give more space to the workspace which is great. 

On the other hand I see that there is a lot of space that is used for icons and there is a lot of spaces between them which causes the menu text to be so small. I'm wonder if we can do something to reduce the spaces between icons and so we gain some spaces usefull for text.
review49291002 updated at https://codereview.tryton.org/49291002/#ps1
msg40360 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-04-24.14:15:38
Indeed I do not think it is a good feature to require the user to manage the toggle of the menu. On large screen the menu could stay always present because it is useful and hiding it does not improve the UX instead if reduce it because the user will have to toggle first the menu before accessing it.
So for me, it is better to have smarter behavior like having the right in any situation. This brings men to think that the menu is too large on large screen. So here is review49291002 which reduce the size of the menu on large screen.
msg27762 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2016-08-17.15:22:25
For me it will be a nice feature, as the menu is not resizeable so in small screens (laptops) it occupies a fixed amount of space in the screen, so with some view trees all the information is not show correctly. 

Maybe it will be great to allow to resize it on bigger screens, but I believe this is so much complex, as all the open tabs should be resized.
msg25871 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-05-18.20:09:40
For me, it is a feature that sao doesn't require to toggle the menu.
msg25870 (view) Author: [hidden] (resteve) Date: 2016-05-18.17:30:35
Current GTK client could toggle menu (hide/show). Actually, SAO client not toggle menu for all screen sizes. Also "Toggle Menu" is not translated (replaced by icon-bar).

Here codereivew20191002
History
Date User Action Args
2018-05-12 01:10:07roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg40668
2018-05-08 17:15:20reviewbotsetmessages: + msg40579
2018-05-08 14:13:35reviewbotsetmessages: + msg40572
2018-04-30 16:25:49reviewbotsetmessages: + msg40481
2018-04-25 14:03:02reviewbotsetmessages: + msg40400
2018-04-25 14:00:53cedsetreviews: 20191002,49291002 -> 20191002,44921002
messages: + msg40398
2018-04-25 12:02:36reviewbotsetmessages: + msg40394
2018-04-25 11:36:11cedsetmessages: + msg40392
2018-04-25 10:46:14pokolisetfiles: + menu.png
messages: + msg40388
2018-04-25 10:40:07cedsetmessages: + msg40387

Showing 10 items. Show all history (warning: this could be VERY long)